--
-- Table structure for table `xf_session_activity`
--
CREATE TABLE `xf_session_activity` (
  `user_id` int(10) UNSIGNED NOT NULL,
  `unique_key` varbinary(16) NOT NULL,
  `ip` varbinary(16) NOT NULL DEFAULT '',
  `controller_name` varchar(100) NOT NULL,
  `controller_action` varchar(75) NOT NULL,
  `view_state` enum('valid','error') NOT NULL,
  `params` varbinary(100) NOT NULL,
  `view_date` int(10) UNSIGNED NOT NULL,
  `robot_key` varbinary(25) NOT NULL DEFAULT ''
) ENGINE=MEMORY DEFAULT CHARSET=utf8mb4;

--
-- Indexes for table `xf_session_activity`
--
ALTER TABLE `xf_session_activity`
  ADD PRIMARY KEY (`user_id`,`unique_key`),
  ADD KEY `view_date` (`view_date`) USING BTREE;
COMMIT;
